#include <stdio.h>
#include <stdlib.h>

int main()
{
    int t, n, m, k, i, j;
    scanf("%d", &t);
    int a[t];
    for(i=0; i<t; i++)
    {
        a[i]=0;
        scanf("%d %d %d", &n, &m, &k);
        int t[k], seged, ia;
        for(ia=0; ia<k; ia++)
            t[ia]=0;
        j=0;
        while(n!=0)
        {
            t[j]+=1;
            j++;
            n-=1;
            if(j==k)
                j=0;
        }
        for(j=0; j<k; j++)
        {
            seged=0;
            for(ia=1; ia<t[j]+1; ia++)
                seged+=ia;
            m-=seged;
        }
        if(m==0)
            a[i]=1;
        else
        {
            if(m>0)
                a[i]=1;
        }

    }
    for(i=0; i<t; i++)
    {
        if(a[i]==1)
            printf("Tak\n");
        else
            printf("Nie\n");
    }
    return 0;
}